Update a webhook
PATCH
/webhooks/{id}Authorization
AuthorizationBearer token · headerrequiredA BillionSend API key (bs_…).
Path parameters
idstring<uuid>requiredRequest body
application/jsonendpointstring<uri>max length 2048
eventsstring[]min items 1
statusstringAllowed:
enableddisabledinbox_idsstring<uuid>[] | nullBillionSend extension: inbox events and email.received reach this endpoint only for these inboxes of the team (at most 100). null means every inbox. Omitted: unchanged.
max items 100
Responses
200
Webhook updated
objectstringrequiredAllowed:
webhookidstring<uuid>required401
Missing, malformed, unknown or revoked API key
statusCodenumberrequirednamestringrequiredmessagestringrequired404
Not found
statusCodenumberrequirednamestringrequiredmessagestringrequired422
Validation error
statusCodenumberrequirednamestringrequiredmessagestringrequired429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumberrequirednamestringrequiredmessagestringrequired